class CreateAccountApiAccessStatuses < ActiveRecord::Migration[6.0]
  def change
    create_table :account_api_access_statuses do |t|
      t.bigint :customer_id, null: false
      t.bigint :account_id, null: false
      t.string :service, limit: 191, null: false
      t.string :region, limit: 191, null: false
      t.string :api_action, limit: 191, null: false
      t.boolean :accessible, null: false
      t.datetime :last_checked, null: false

      t.index [:customer_id, :account_id], name: 'cust_id_account_id_idx'
      t.index [:customer_id, :account_id, :accessible], name: 'cust_id_account_id_accessible_idx'
      t.index [:customer_id, :account_id, :service, :region, :api_action], name:'cust_id_acct_id_svc_reg_api_action_idx', unique: true

      t.timestamps
    end
  end
end
