class ChangeAccountIdToAccountCrn < ActiveRecord::Migration[6.0]
  def up
    # String length needs to be limited so that the indexes aren't too long.
    # Max length of a CRN [crn:<cust_id>:aws-account/unowned:<acct_id>] is:
    # crn:12345:aws-account/unowned:1234567890123 -> 43 -> 50 for wiggle room.
    change_column :account_api_access_statuses, :account_id, :string, limit: 50
    rename_column :account_api_access_statuses, :account_id, :account_crn
  end

  def down
    change_column :account_api_access_statuses, :account_crn, :bigint
    rename_column :account_api_access_statuses, :account_crn, :account_id
  end
end
